Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.interview
Class Interview.Fault

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.interview.Interview.Fault

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Interview.BadHelpFault, Interview.HelpNotFoundFault, Interview.NotOnPathFault, InterviewParameters.JTIFault, InterviewParameters.TestSuiteFault, InterviewParameters.WorkDirFault, InterviewSet.CycleFault

Enclosing class:
  Interview

    public static class Interview.Fault

extends java.lang.Exception

This exception is to report problems that occur while updating an interview.

See Also:
  Serialized Form

Constructor Summary
`Interview.Fault(java.util.ResourceBundle i18n, java.lang.String s)` Create a Fault.
`Interview.Fault(java.util.ResourceBundle i18n, java.lang.String s, java.lang.Object o)` Create a Fault.
`Interview.Fault(java.util.ResourceBundle i18n, java.lang.String s, java.lang.Object[] o)` Create a Fault.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Interview.Fault

    public Interview.Fault(java.util.ResourceBundle i18n,
                           java.lang.String s)

  Create a Fault.

  Parameters:
    `i18n` - A resource bundle in which to find the detail message.
    `s` - The key for the detail message.

### Interview.Fault

    public Interview.Fault(java.util.ResourceBundle i18n,
                           java.lang.String s,
                           java.lang.Object o)

  Create a Fault.

  Parameters:
    `i18n` - A resource bundle in which to find the detail message.
    `s` - The key for the detail message.
    `o` - An argument to be formatted with the detail message by `MessageFormat.format(java.lang.Object[], java.lang.StringBuffer, java.text.FieldPosition)`

### Interview.Fault

    public Interview.Fault(java.util.ResourceBundle i18n,
                           java.lang.String s,
                           java.lang.Object[] o)

  Create a Fault.

  Parameters:
    `i18n` - A resource bundle in which to find the detail message.
    `s` - The key for the detail message.
    `o` - An array of arguments to be formatted with the detail message by `MessageFormat.format(java.lang.Object[], java.lang.StringBuffer, java.text.FieldPosition)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.